import { TextSplittableAction } from './splittable-action.abstract';
import { ClearFormattingAnnotation } from '../annotations/clear-formatting-annotation';
/**
 * Action to toggle clear formatting
 */
export class ClearFormattingAnnotationAction extends TextSplittableAction {
  constructor() {
    super(...arguments);
    this.isFlushable = true;
  }
  /**
   * Converts the action to an annotation
   *
   * @returns {Annotation} the annotation
   */
  toAnnotation() {
    return new ClearFormattingAnnotation();
  }
}
